<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Manage Partners</strong>
            </h3>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <input type="text" matInput placeholder="Select Partner" class="form-control" (keydown.enter)="getPartnerForSearch()"
                    name="name" (ngModelChange)="searchPartner($event)" [(ngModel)]="name" aria-label="Partners"
                    [matAutocomplete]="partners">
                    <img alt="loader" *ngIf="loadingIndicator == 'searchPartner'" class="loading_indicator" src="assets/img/loading.gif" />
                  <mat-autocomplete #partners="matAutocomplete" [displayWith]="displayFndpartner">
                    <mat-option *ngFor="let data of partner" [value]="data.name">
                      <span>{{ data.name }}</span>
                    </mat-option>
                    <mat-option *ngIf="partner == '' && partner.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                </div>

                <div class="col-sm-8 text-right">
                  <button class="btn btn-sm btn-primary blue" type="button" (click)="getPartnerForSearch();">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary green" type="button" (click)="refetchPartners()">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>

                  <button class="btn btn-sm btn-primary red" type="button" (click)="reset()">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                  <ng-container *ngIf="aclAdd">
                    <button class="btn btn-primary btn-sm blue" type="submit" [routerLink]="['/admin/administration/partners/add']">Add
                      new record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Partners" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col" (click)="sort('name')">Partner
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder==='desc' && key ==='name' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                        </span>
                      </th>
                      <th scope="col" (click)="sort('invoice_generated_for')">Invoice address
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder==='desc' && key ==='invoice_generated_for' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='invoice_generated_for' }"></i>
                        </span>
                      </th>
                      <th scope="col">Contact person info.
                      </th>
                      <th scope="col">Options
                      </th>
                      <th scope="col">Select type
                      </th>
                      <th scope="col" (click)="sort('updated_at')">Date
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                        </span>
                      </th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let partner of partnersData">
                      <td> <span><strong>{{partner.name}}</strong> </span> <br /><br />
                        <span>{{partner.address ? partner.address : 'N/A'}} </span><br /><br />
                        <span> {{partner.house_number ? partner.house_number : 'N/A'}} </span><br /><br />
                        <span> {{partner.city ? partner.city : 'N/A'}} </span><br /><br />
                        Reference No. : <span> {{partner.reference_number ? partner.reference_number : 'N/A'}}</span><br /><br />
                        Invoice email : <span> {{partner.invoice_email ? partner.invoice_email : 'N/A'}} </span><br /><br />
                        Phone number : <span> {{partner.phone_number ? partner.phone_number : 'N/A'}} </span><br /><br />
                        postal_code : <span>{{partner.postal_code ? partner.postal_code : 'N/A'}} </span>
                      </td>
                      <td> Invoice generated for : <span> <strong>{{partner.invoice_generated_for ?
                            (partner.invoice_generated_for == '1'? 'Department':'Partner'):'N/A' }}</strong> </span> </td>
                      <td> Name : <span> {{partner.contact_person ? partner.contact_person : 'N/A'}} </span><br /><br />
                        Email : <span> {{partner.mail_add_contact ? partner.mail_add_contact : 'N/A'}} </span>
                      </td>

                      <td> Invoice Partner: <span> {{partner.invoice_enabled ? (partner.invoice_enabled == '1'?
                          'Yes':'No'):'N/A' }} </span><br /><br />
                        Invoice with appendix : <span> {{partner.invoice_with_appendix ? (partner.invoice_with_appendix
                          == '1'? 'Yes':'No'):'N/A' }}</span><br /><br />
                        Ziping of invoice enabled : <span> {{partner.ziping_of_invoice_enabled ?
                          (partner.ziping_of_invoice_enabled == '1'? 'Yes':'No'):'N/A' }} </span><br /><br />
                        Sending via email enabled : <span> {{partner.sending_via_email_enabled ?
                          (partner.sending_via_email_enabled == '1'? 'Yes':'No'):'N/A' }} </span><br /><br />
                        Default export type : <span> {{partner.default_export_type ? partner.default_export_type :'N/A'
                          }} </span><br /><br />
                        Smartphone enabled : <span> {{partner.smartphone_partner ? (partner.smartphone_partner == '1'?
                          'Yes':'No'):'N/A' }} </span><br /><br />
                        Trip id : <span> {{partner.trip_id_mandatory ? (partner.trip_id_mandatory == '1'?
                          'Yes':'No'):'N/A' }} </span><br /><br />
                        Web blocking period (min) : <span> {{partner.web_blocking_period ? partner.web_blocking_period
                          : 'N/A'}} </span><br /><br />
                        Web number of persons : <span> {{partner.web_number_of_persons ? partner.web_number_of_persons
                          : 'N/A'}} </span><br /><br />
                        Web number of packages : <span> {{partner.web_number_of_packages ?
                          partner.web_number_of_packages : 'N/A'}} </span><br /><br />
                        UID : <span> {{partner.uid ? partner.uid : 'N/A'}} </span>
                      </td>
                      <td> <span>{{true==partner.select_type ? 'TRUE' : 'FALSE'}} </span></td>
                      <td>{{partner.updated_at | date}}</td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <a [routerLink]="['/admin/administration/partners/edit', partner._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>&nbsp;&nbsp;&nbsp;
                        </span>
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(partner._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                        <div *ngIf="partner.kiosk_partner=='true'">
                          <button class="kiosk_user_btn">Kiosk Users</button>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="partnerLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <ngb-pagination [collectionSize]="partnerLength" (pageChange)="pagingAgent($event)" [page]="1"
                      [pageSize]="itemsPerPage" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="partnerLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
